Name:           blueonyx-yumconf
Version:        1.0.0
Release:        6
Packager:       Michael Stauber <mstauber@solarspeed.net>
Vendor:         Solarspeed Ltd & NuOnce Networks, Inc. 2008
URL:            http://www.blueonyx.info
License:        Proprietory
Group:          System Environment/Base
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      i386
Distribution:   BlueOnyx 5106R
Source:         %{name}-%{version}-%{release}.tar.gz
Summary:        YUM Repository Config file for BlueOnyx 5106R
Obsoletes:	newquartz-yumconf

%description
YUM Repository Config file for BlueOnyx 5106R

%prep
%setup -q -n %{name}-%{version}-%{release}
#%setup -q -n %{name}

%build

rm -R -f $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mv * $RPM_BUILD_ROOT/

%install
  [ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

# Symlinks:
# Recreates source tarball if need be - with dereferenced symlinks.

    find $RPM_BUILD_ROOT/ -type l -print | \
    sed "s@^$RPM_BUILD_ROOT@@g" > solSymLinks.list
    if [ "$(cat solSymLinks.list)X" = "X" ] ; then
        pwd
    else
        rm -f %{name}-%{version}-%{release}.tar.gz
        tar czvfh /usr/src/redhat/SOURCES/%{name}-%{version}-%{release}.tar.gz -C /usr/src/redhat/SOURCES/ %{name}-%{version}-%{release}/
    fi

# Files:

  find $RPM_BUILD_ROOT/ -type f -print | \
    sed "s@^$RPM_BUILD_ROOT@@g" | \
    grep -v *.spec | \
    grep -v perllocal.pod | \
    grep -v "\.packlist" > solFile.list

  if [ "$(cat solFile.list)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
  fi

%pre

%post

%preun

%postun

%clean
rm -R -f $RPM_BUILD_ROOT

%files -f solFile.list
%defattr(-,root,root)

%changelog

* Tue Jun 16 2009 Michael Stauber <mstauber@solarspeed.net> 1.0.0-6
- Added /etc/yum.repos.d/0_WARNING.txt with third party YUM repository warnings.

* Thu Apr 02 2009 Michael Stauber <mstauber@solarspeed.net> 1.0.0-5
- In CentOS-5.3 yum no longer likes spaces in repository names.
- Replaced space in repository name 'BlueOnyx Testing' to a dash.

* Sat Dec 06 2008 Michael Stauber <mstauber@solarspeed.net> 1.0.0-4
- Changed from blueonyx.info to blueonyx.it
- Added provisions for testing repository.

* Tue Dec 02 2008 Michael Stauber <mstauber@solarspeed.net>
- Updated build after renaming to BlueOnyx.

* Fri Nov 14 2008 Michael Stauber <mstauber@solarspeed.net> 1.0.0-3
- Updated build with mirror provisions already built in.

* Wed Nov 12 2008 Michael Stauber <mstauber@solarspeed.net>
- Initial build.
